/services/analytics/v1/project/sessions
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
start_date |
string (date-time) | Yes | 2026-01-01 00:00:00 |
|
end_date |
string (date-time) | Yes | 2026-01-31 23:59:59 |
|
sortKey |
string
id, browser, device, platform_os, country, time_spend, created_at |
Yes | created_at |
|
sortOrder |
string
asc, desc |
Yes | desc |
|
read_status |
string|null
read, unread |
No | unread |
|
per_page |
string | No | Default sort order is 'desc' | |
check_irregular_traffic |
string | No | ||
include_ip_addresses |
string | No | ||
filters |
object | Yes |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
data |
object | |
data.current_page |
integer | |
data.data |
object[] | |
data.first_page_url |
string | |
data.from |
integer|null | |
data.last_page |
integer | |
data.last_page_url |
string | |
data.links |
object | |
data.next_page_url |
string|null | |
data.path |
string|null | |
data.per_page |
integer | |
data.prev_page_url |
string|null | |
data.to |
integer|null | |
data.total |
integer | |
message |
string |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/analytics/v1/project/sessions" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"start_date": "2026-01-01 00:00:00",
"end_date": "2026-01-31 23:59:59",
"sortKey": "created_at",
"sortOrder": "desc",
"read_status": "unread",
"per_page": "string",
"check_irregular_traffic": "string",
"include_ip_addresses": "string",
"filters": "string"
}'
fetch('https://api.wemasy.nl/api/services/analytics/v1/project/sessions', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"start_date": "2026-01-01 00:00:00",
"end_date": "2026-01-31 23:59:59",
"sortKey": "created_at",
"sortOrder": "desc",
"read_status": "unread",
"per_page": "string",
"check_irregular_traffic": "string",
"include_ip_addresses": "string",
"filters": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/analytics/v1/project/sessions', {
"start_date": "2026-01-01 00:00:00",
"end_date": "2026-01-31 23:59:59",
"sortKey": "created_at",
"sortOrder": "desc",
"read_status": "unread",
"per_page": "string",
"check_irregular_traffic": "string",
"include_ip_addresses": "string",
"filters": "string"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"start_date": "2026-01-01 00:00:00",
"end_date": "2026-01-31 23:59:59",
"sortKey": "created_at",
"sortOrder": "desc",
"read_status": "unread",
"per_page": "string",
"check_irregular_traffic": "string",
"include_ip_addresses": "string",
"filters": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/analytics/v1/project/sessions", headers=headers, json=data)
print(r.json())
{
"error": false,
"data": {
"current_page": 1,
"data": [],
"first_page_url": "https://api.wemasy.nl/services/analytics/v1/project/sessions?page=1",
"from": 1,
"last_page": 3,
"last_page_url": "https://api.wemasy.nl/services/analytics/v1/project/sessions?page=3",
"links": {},
"next_page_url": "https://api.wemasy.nl/services/analytics/v1/project/sessions?page=2",
"path": "https://api.wemasy.nl/services/analytics/v1/project/sessions",
"per_page": 15,
"prev_page_url": "string",
"to": 15,
"total": 45
},
"message": "string"
}